### Function

# FwupdPlugin kernel_add_cmdline_arg

since: 1.9.5

#### Declaration [src]

    gboolean
    fu_kernel_add_cmdline_arg (
      FuPathStore* pstore,
      const gchar* arg,
      GError** error
    )

#### Description [src]

Add a kernel command line argument.

Available since: 1.9.5

#### Parameters

`pstore`

  Type: `FuPathStore`

  A `FuPathStore`.

  The data is owned by the caller of the function.

`arg`

  Type: `const gchar*`

  Key to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful.